= nng_stat_value(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_stat_value - get statistic value

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

typedef struct nng_stat nng_stat;

uint64_t nng_stat_value(nng_stat *stat);
----

== DESCRIPTION

The `nng_stat_value()` function returns a numeric value for the statistic _stat_.
If the statistic has a boolean value, then zero is returned for `false`, and
one is returned for `true`.
Otherwise, if the statistic is not of numeric type, then zero is returned.
See xref:nng_stat_type.3.adoc[`nng_stat_type()`] for a description of statistic types.

== RETURN VALUES

The numeric or boolean value associated with _stat_.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng_stats_get.3.adoc[nng_stats_get(3)],
xref:nng_stat_type.3.adoc[nng_stat_type(3)],
xref:nng_stat_unit.3.adoc[nng_stat_unit(3)],
xref:nng_stat.5.adoc[nng_stat(5)],
xref:nng.7.adoc[nng(7)]
